Announcement

Collapse
No announcement yet.

Updated and Optimized Ubuntu Free Graphics Drivers

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Originally posted by oscar View Post
    NVK is out of experimental! (-Dvulkan-drivers=nouveau) and CTS validated.. can you build at least on noble?
    thanks!
    I don't plan to do it myself anytime soon, but if someone send me a patch, I'll apply it.

    Comment


    • In Ubuntu 24.04/noble, mesa in the PPA is now built with llvm 18.

      Enjoy!

      Comment


      • Hi oibaf‚Äč, thank you very much for your work!
        I have only a request, could you please support Debian as well?
        Your fantastic PPA repository is the latest thing that let me using Ubuntu (and Ubuntu based) distro

        Comment


        • The Ubuntu packages are hosted by PPA provided by Canonical, I don't think Debian has something like PPA and I don't want to host a repo on a my own server.

          Comment


          • Originally posted by oibaf View Post
            In Ubuntu 24.04/noble, mesa in the PPA is now built with llvm 18.

            Enjoy!
            Reverted to llvm 17, since with 18 now no longer builds (likely related to year-2038 / t64 Ubuntu issues).

            Comment


            • Hi,
              this is more a question at this point, than a request.. with all the explicit sync news it seems coming in NV drivers 555.xx next month but Ubuntu 24.04 will not be ready due to missing updated dependencies..

              at least in
              This is an implementation of explicit sync for the Vulkan X11 WSI. It makes use of common code from Joshie's explicit sync implementation for the Wayland WSI

              we see all the updated libs needed:
              1)xorgproto 2024.1
              2)Xwayland 2024.1 (per phoronix news): release in may
              3)libxcb 1.17 and libxcb-proto 1.17 (this week?) https://gitlab.freedesktop.org/xorg/...ge_requests/59
              4)wayland-protocols 1.34 (you already ship it)

              I think it's a stupid question, if you plan on making available all this updated libs perhaps around next month on your noble channel of the repo..
              I say that because being useful this requires also updated compositors like mutter (merged to master so from gnome 47?) and kwin (merged to master so in plasma 6.1).. and this will be too much to ask and risky to update due to lots of dependencies.. but perhaps is hope and KDE backports PPA ends doing some Plasma 6.0 or 6.1 Noble release and we can test..
              thanks..

              Comment


              • NV drivers 555.xx, the proprietary driver? I never provided it in the PPA...

                Comment


                • no, just saying 555.xx will support explicit sync, but for making use of it it will need XWayland and all other dependencies I said before are updated..

                  Comment


                  • Originally posted by oscar View Post
                    no, just saying 555.xx will support explicit sync, but for making use of it it will need XWayland and all other dependencies I said before are updated..
                    You should open bug reports against Ubuntu to request upgrading these packages.

                    Comment


                    • Originally posted by oibaf View Post

                      Reverted to llvm 17, since with 18 now no longer builds (likely related to year-2038 / t64 Ubuntu issues).
                      Restored llvm-18 in noble, now it properly builds again.

                      Comment

                      Working...
                      X